#ifndef pvOptFuncs_h
#define pvOptFuncs_h

#include <iostream>
#include <cstdlib>
#include <cstring>
#include <sstream>
#include <string>
#include <vector>

#include <QWidget>
#include <QString>

//-----------------------------------------------------------------------------

struct dockerFound {
  bool success;
  bool goodDocker;
  std::string infoStr;
  };

struct paths {
  QString caseFileDir;
  std::string rootPath;
  };

class pvOptFuncs {

public:
  pvOptFuncs();

  static void executeSystemCmd(std::string);
  static std::vector<double> extractDoubles(std::string);
  static struct dockerFound checkDocker(std::string);
  static std::string writePythonGUI(std::string);
  static struct paths linkCaseFile(QWidget *);

};

#endif